Get Promo Batch
GET
/api/staff/promo/{batch_id}Authorization
session AuthorizationBearer <token>
A Kratos session tokenized as a JWT.
In: header
Path Parameters
batch_id*string
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/staff/promo/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "batch": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "note": "string", "days": 0, "codes": 0, "used": 0, "redeem_by": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "by": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "username": "string", "name": "string", "flag": "string" }, "undone": true }, "codes": [ { "code": "string", "used_by": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "username": "string", "name": "string", "flag": "string" }, "used_at": "2019-08-24T14:15:22Z", "revoked": true } ]}